## Apache Zeta Components Manual :: Docs For Class ezcImageSaveOptions

### ImageConversion::ezcImageSaveOptions

### Class ezcImageSaveOptions

Options class for ezcImageHandler->save() methods.

Source for this file: /ImageConversion/src/options/save_options.php

    ezcBaseOptions
       |
       --ezcImageSaveOptions

Version: | //autogen//

### Properties

int | read/write | `$compression` The compression level to use, if compression is supported by the target format (e.g. TIFF). A value between 0 and 9 (incl.) is expected.
int | read/write | `$quality` A quality indicator used to determine the quality of the target image, if supported by the target format (e.g. JPEG). A value between 0 and 100 (incl.) is expected.

array(int)

read/write

`$transparencyReplacementColor`
Only certain image formats support transparent backgrounds (e.g. GIF and PNG). If such images are converted to a format that does not support transparency, this color will be used as the new background. The color value is given as an array of integers, each representing a color value in RGB between 0 and 255.

1. array(255,0,0)

for example would be pure red.

### Member Variables

protected array(string=>mixed) | `$properties = array( "compression" => null, "quality" => null, "transparencyReplacementColor" => null, )` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3